Bug 1001628 - virsh ignores --log option
virsh ignores --log option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 08:29 EDT by Ján Tomko
Modified: 2014-06-17 20:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: libvirt-1.1.1-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:42:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ján Tomko 2013-08-27 08:29:13 EDT
Description of problem:
virsh doesn't log into a file despite the --log option being specified

Version-Release number of selected component (if applicable):
libvirt-client-1.1.1-2.el7

How reproducible:
101.80 %


Steps to Reproduce:
virsh -l logfile start domain404
error: failed to get domain 'domain404'
error: Domain not found: no domain with matching name 'domain404'


Actual results:
# cat logfile
cat: logfile: No such file or directory


Expected results:
# cat logfile
[2013.08.27 08:23:21 virsh 795] ERROR failed to get domain 'domain404'
[2013.08.27 08:23:21 virsh 795] ERROR Domain not found: no domain with matching name 'domain404'


Additional info:
Logging to files specified by the VIRSH_LOG_FILE environment variable works.
Introduced by:
commit abfff210060625af8914e28601f1ec6ed96b05ae
Author:     Martin Kletzander <mkletzan@redhat.com>
AuthorDate: 2013-03-13 09:03:34 +0100

    Make vshDebug work when parsing parameters
git describe: v1.0.3-78-gabfff21 contains: v1.0.4-rc1~85
Comment 2 Martin Kletzander 2013-08-27 08:34:20 EDT
This issue is already being fixed on upstream.
Comment 3 Martin Kletzander 2013-08-28 05:15:46 EDT
Fixed upstream with v1.1.1-247-gac43da7:

commit ac43da705f0e7c23dffd87c0705ff01711b88ac0
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Aug 27 13:19:24 2013 +0200

    virsh: Fix debugging
Comment 6 Hao Liu 2013-09-02 02:52:50 EDT
Verified this fix.

Packages:
libvirt-client-1.1.1-3.el7.x86_64

Verify steps:
1. Run virsh cmd with log file.
# virsh -l logfile start domain404
error: failed to get domain 'domain404'
error: Domain not found: no domain with matching name 'domain404'

2. Check log file.
# cat logfile
[2013.09.02 14:49:17 virsh 5301] ERROR failed to get domain 'domain404'
[2013.09.02 14:49:17 virsh 5301] ERROR Domain not found: no domain with matching name 'domain404'
Comment 7 Ludek Smid 2014-06-13 06:42:59 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.